package org.prelle.audiotron;

/**
 * Created at 23.03.2004, 13:45:28
 *
 * @author Stefan Prelle
 *
 */
public class InfoRequest extends Request {
	
	private final static String URL = "apigetinfo.asp?type=";
	
	public final static int TITLE  = 1;
	public final static int ARTIST = 2;
	public final static int GENRE  = 3;
	public final static int ALBUM  = 4;
	public final static int WEB    = 5;
	public final static int LIST   = 6;
	public final static int FILE   = 7;
	public final static int FAV    = 8;
	public final static int PLAYQ  = 9;
	public final static int GLOBAL = 10;
	
	private int type;
	private int count;
	private String data;
	
	//------------------------------------------------
	public InfoRequest(int type) {
		this.type = type;
		count = 0;
	}
	
	//------------------------------------------------
	public InfoRequest(int type, int count) {
		this.type = type;
		this.count = count;
	}
	
	//------------------------------------------------
	public InfoRequest(int type, String data) {
		this.type = type;
		this.data = data;
	}
	
	//------------------------------------------------
	public InfoRequest(int type, int count, String data) {
		this.type = type;
		this.count = count;
		this.data  = data;
	}
	
	//------------------------------------------------
	/* 
	 * @see org.prelle.audiotron.Request#getRequestURI()
	 */
	public String getRequestURI() {
		StringBuffer buf = new StringBuffer(URL);
		switch(type) {
			case TITLE : buf.append("title");  break;	
			case ARTIST: buf.append("artist");  break;	
			case GENRE : buf.append("genre");  break;	
			case ALBUM : buf.append("album");  break;	
			case WEB   : buf.append("web");  break;	
			case LIST  : buf.append("list");  break;	
			case FILE  : buf.append("file");  break;	
			case FAV   : buf.append("fav");  break;	
			case PLAYQ : buf.append("playq");  break;	
			case GLOBAL: buf.append("global");  break;	
			default:
				return null;
		}
		if (count>0)
			buf.append("&count="+count);
		if (data!=null)
			buf.append("&this="+data);
		
		return buf.toString();
	}
	//------------------------------------------------
	/* 
	 * @see org.prelle.audiotron.Request#processResult(java.lang.String)
	 */
	public void processResult(String result) {
		// TODO Auto-generated method stub
	}
}
